%define	name	anyremote
%define	version	5.4
%define	release	%mkrel 1

Summary:	Remote control through bluetooth or IR connection
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		System/Kernel and hardware
BuildRequires:	bluez-devel libxtst-devel
BuildRequires:	dbus-glib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://nchc.dl.sourceforge.net/sourceforge/anyremote/%name-%version.tar.gz
URL:		http://anyremote.sourceforge.net/

%description
The overall goal of this project is to provide remote control service on Linux 
through Bluetooth, InfraRed, Wi-Fi or TCP/IP connection.
anyRemote supports wide range of modern cell phones like Nokia, SonyEricsson, 
Motorola and others.

%package doc
Summary: Documentations for anyRemote
Group: System/Kernel and hardware
Conflicts: %{name} < 4.14

%description doc
Documentation for anyRemote. 

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# we'll cp our own doc files
rm -rf %buildroot%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README AUTHORS
%{_bindir}/%name
%{_datadir}/%name
%{_mandir}/man1/%name.*

%files doc
%defattr(-,root,root)
%doc doc-html/*


%changelog
* Tue Mar 15 2011 Stéphane Téletchéa <steletch@mandriva.org> 5.4-1mdv2011.0
+ Revision: 644991
- update to new version 5.4

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 5.3-1mdv2011.0
+ Revision: 598533
- update to new version 5.3

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 5.2-1mdv2011.0
+ Revision: 582951
- update to new version 5.2

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 5.1.3-1mdv2011.0
+ Revision: 554706
- update to new version 5.1.3

* Fri Feb 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 5.1.1-1mdv2010.1
+ Revision: 505123
- update to 5.1.1

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 5.1-1mdv2010.1
+ Revision: 486892
- update to new version 5.1

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 5.0-1mdv2010.1
+ Revision: 465984
- BR dbus
- New version 5.0

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 4.18.1-1mdv2010.0
+ Revision: 370663
- New version 4.18.1

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 4.17-1mdv2009.1
+ Revision: 355264
- update to new version 4.17

* Wed Jan 21 2009 Funda Wang <fwang@mandriva.org> 4.15-1mdv2009.1
+ Revision: 332071
- update to new version 4.15

* Mon Jan 12 2009 Funda Wang <fwang@mandriva.org> 4.14-1mdv2009.1
+ Revision: 328608
- split doc sub package
- update to new version 4.14

* Fri Dec 19 2008 Funda Wang <fwang@mandriva.org> 4.13-1mdv2009.1
+ Revision: 316017
- new version 4.13

* Mon Nov 17 2008 Funda Wang <fwang@mandriva.org> 4.12-1mdv2009.1
+ Revision: 303943
- update to new version 4.12

* Wed Oct 22 2008 Funda Wang <fwang@mandriva.org> 4.11-1mdv2009.1
+ Revision: 296348
- New version 4.11

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 4.9-1mdv2009.1
+ Revision: 292067
- New version 4.9

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 4.8.1-1mdv2009.0
+ Revision: 283364
- New version 4.8.1

* Mon Aug 18 2008 Funda Wang <fwang@mandriva.org> 4.7.1-1mdv2009.0
+ Revision: 273371
- New version 4.7.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 4.6-2mdv2009.0
+ Revision: 266153
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 02 2008 Funda Wang <fwang@mandriva.org> 4.6-1mdv2009.0
+ Revision: 214177
- import sources and spec
- Created package structure for anyremote.

